Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic.bestsolutionmutation
Class BestSolutionMutationProblemStatistic

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.ProblemStatistic
          org.optaplanner.benchmark.impl.statistic.bestsolutionmutation.BestSolutionMutationProblemStatistic

    public class BestSolutionMutationProblemStatistic

extends ProblemStatistic

Field Summary
`protected File` | `graphFile`

Fields inherited from class org.optaplanner.benchmark.impl.statistic.ProblemStatistic
`problemBenchmarkResult, problemStatisticType, warningList`

Constructor Summary
`BestSolutionMutationProblemStatistic(ProblemBenchmarkResult problemBenchmarkResult)`

Method Summary
`SingleStatistic` | `createSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)`
`File` | `getGraphFile()`
`void` | `writeGraphFiles(BenchmarkReport benchmarkReport)`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.ProblemStatistic
`accumulateResults, fillWarningList, getAnchorId, getProblemBenchmarkResult, getProblemStatisticType, getSingleStatisticList, getWarningList, setProblemBenchmarkResult, writeChartToImageFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graphFile

    protected File graphFile

Constructor Detail

### BestSolutionMutationProblemStatistic

    public BestSolutionMutationProblemStatistic(ProblemBenchmarkResult problemBenchmarkResult)

Method Detail

### createSingleStatistic

    public SingleStatistic createSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)

  Specified by:
    `createSingleStatistic` in class `ProblemStatistic`

### getGraphFile

    public File getGraphFile()

  Returns:
    never null

### writeGraphFiles

    public void writeGraphFiles(BenchmarkReport benchmarkReport)

  Specified by:
    `writeGraphFiles` in class `ProblemStatistic`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.